ArangoDB (@VERSION) {#Home}
===========================

@xmlonly
Please note: This is the current DEVELOPMENT version of the manual.  The stable
HTML and PDF versions of the manual can be found 
<ulink url="http://www.arangodb.org/manuals">here</ulink>.
@endxmlonly

ArangoDB is a universal open-source database with a flexible data model for
documents, graphs, and key-values. You can easily build high performance
applications using a convenient sql-like query language or JavaScript/Ruby
extensions.  It focuses on durability of the data taking advantage of new
technologies like SSD, support for graph and geo algorithms needed in social
networks, ease of use for the developer and minimal effort to operate for the
administrator. The design goals are described @S_EXTREF{http://www.arangodb.org/,here}.

The ArangoDB package consists of a server, a separate shell, which allows you to
administrate the server, and a set of client API (or sometimes called drivers)
for various languages including the Big-P (PHP, Python, Perl) and Ruby.

Please contact @S_EXTREF_S{http://www.arangodb.org/connect,us} if you have any
questions.

Upgrading to ArangoDB 1.2 {#ArangoDBUpgrading12}
================================================

- @BOOK_REF{NewFeatures12}
- @BOOK_REF{Upgrading12}

Older Releases:

- @BOOK_REF{NewFeatures11}
- @BOOK_REF{Upgrading11}

ArangoDB's User Manuals {#ArangoDBUserManual}
=============================================

- @BOOK_REF{UserManual} @ifnot XML @EXTREF{user-manual.pdf,pdf} @endif

- @BOOK_REF{DbaManual} @ifnot XML @EXTREF{dba-manual.pdf,pdf} @endif

- @BOOK_REF{ImpManual} @ifnot XML @EXTREF{imp-manual.pdf,pdf} @endif

- also see the @ref Glossary

@ifnot XML 
- @EXTREF{arangodb_1.2_shell_reference_card.pdf,Cheat Sheet} 
@endif

ArangoDB's Administrator Manuals {#ArangoDBAdminManual}
=======================================================

- @BOOK_REF{InstallManual} @ifnot XML @EXTREF{install-manual.pdf,pdf} @endif

ArangoDB's Developer Manuals {#ArangoDBAPIManual}
=================================================

- @BOOK_REF{ImplementorManual} @ifnot XML @EXTREF{implementor-manual.pdf,pdf} @endif

- @BOOK_REF{RefManual} @ifnot XML @EXTREF{ref-manual.pdf,pdf} @endif

API aka Drivers {#HomeApi}
==========================

Though ArangoDB is yet a young project, a couple of people started to
add APIs for different programming languages/frameworks. See
@EXTREF{http://www.arangodb.org/api,http://www.arangodb.org/api}.

Stay in Contact {#HomeStayInContact}
====================================

Frank is twittering for the project on Twitter using
@EXTREF{http://www.twitter.com/fceller,@@fceller}. We've also a
"generic" twitter account mainly for announcements called
@EXTREF{http://www.twitter.com/arangodb,@@arangodb}

You can also subscribe to a low traffic announcement list on the
@EXTREF{http://www.arangodb.org/connect,connect page}.
